Find by ID
curl --request GET \
--url 'https://api.themoviedb.org/3/find/{external_id}?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/find/{external_id}?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/find/{external_id}?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"movie_results": [
{
"adult": false,
"backdrop_path": "/3mj4c203dBxyGZXF6u1NPpMaRE8.jpg",
"genre_ids": [
18
],
"id": 942049,
"media_type": "movie",
"original_language": "ja",
"original_title": "SEXダイナマイト マドンナのしずく",
"overview": "A depressed private detective who spends his days digging through love hotel trash for his cases meets a free spirited young woman who lives next door.",
"popularity": 0.667,
"poster_path": "/sOMMRgoSyr3J2q4DJUoJ83gmqK9.jpg",
"release_date": "1988-04-09",
"title": "Sex dainamaito: Madonna no Shizuku",
"video": false,
"vote_average": 2,
"vote_count": 1
}
],
"person_results": [],
"tv_episode_results": [],
"tv_results": [],
"tv_season_results": []
}Find
Find by ID
This endpoint is used to find data by external IDs
GET
/
3
/
find
/
{external_id}
Find by ID
Authorizations
Path Parameters
integer
Example:
"tt3428560"
Query Parameters
tt3428560s
Example:
"imdb_id"
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/3mj4c203dBxyGZXF6u1NPpMaRE8.jpg",
"genre_ids": [18],
"id": 942049,
"media_type": "movie",
"original_language": "ja",
"original_title": "SEXダイナマイト マドンナのしずく",
"overview": "A depressed private detective who spends his days digging through love hotel trash for his cases meets a free spirited young woman who lives next door.",
"popularity": 0.667,
"poster_path": "/sOMMRgoSyr3J2q4DJUoJ83gmqK9.jpg",
"release_date": "1988-04-09",
"title": "Sex dainamaito: Madonna no Shizuku",
"video": false,
"vote_average": 2,
"vote_count": 1
}
]
Example:
[]
Example:
[]
Example:
[]
Example:
[]
Was this page helpful?
⌘I